Subject: Re: bug#34224: 25.1; ansi-term displays garbage on tree(1) command

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 Jan 2019 17:47:41 +0200

> Date: Mon, 28 Jan 2019 14:10:53 +0100
> From: Marvin Gülker <[email-masked]>
> Cc: [email-masked]
> 
> Yes, it happens with emacs -Q. But when I reported the bug, I forgot
> that since pretty much forever I had an alias for "tree" in my zsh
> config that aliases the tree command to "tree -AC". Removing the alias
> solves the problem. Fiddling shows the it's the -A option that causes
> the problem. So, the actual problem is that ansi-term doesn't work
> with tree's -A option.
> 
> Given that the -A option is declared as a "hack" in tree's manual page,
> I don't know whether it should actually be cared about.

If someone can tell what does 'tree' do to "turn on ANSI line graphics
hack", then perhaps we could decide whether there's something wrong
with how Emacs interprets the bytestream delivered to it by 'tree' in
this mode.